module(..., package.seeall)


function paddingRunningBox(runningBox,t)

    local labelBox=lvgl.cont_create(runningBox, nil)
    lvgl.obj_set_click(labelBox,false)
    lvgl.obj_set_size(labelBox, 750,40) 
    lvgl.obj_add_style(labelBox, lvgl.CONT_PART_MAIN, style.style_divBox)

    function makeLable(text,x,y)
        local label=lvgl.label_create(labelBox, nil)
        lvgl.obj_set_style_local_text_font(label, lvgl.LABEL_PART_MAIN, lvgl.STATE_DEFAULT, font24)
        lvgl.label_set_text(label, text)
        lvgl.obj_align(label, labelBox, lvgl.ALIGN_IN_LEFT_MID, x, y)
    end

    makeLable("字号",100,0)
    makeLable("灰度值",165,0)
    makeLable("粗细值",270,0)
    makeLable("效果",450,0)

    local line=lvgl.cont_create(labelBox, nil)
    lvgl.obj_set_click(line,false)
    lvgl.obj_set_size(line, 750, 3) 
    lvgl.obj_add_style(line, lvgl.CONT_PART_MAIN, style.style_line)
    lvgl.obj_align(line, labelBox, lvgl.ALIGN_IN_BOTTOM_MID, 0, 0)

    local itemList = lvgl.page_create(runningBox, nil)
    lvgl.obj_set_size(itemList, 750, 455)
    lvgl.obj_set_click(itemList,false)
    lvgl.obj_add_style(itemList, lvgl.CONT_PART_MAIN, style.style_list)
    lvgl.page_set_scrl_layout(itemList,lvgl.LAYOUT_COLUMN_MID)
    lvgl.obj_align(itemList,labelBox, lvgl.ALIGN_OUT_BOTTOM_MID, 0, 0)
    lvgl.page_set_scrollbar_mode(itemList, lvgl.SCROLLBAR_MODE_DRAG)

    function makeItem(cont,t)
        local itemCont=lvgl.cont_create(cont, nil)
        lvgl.obj_set_click(itemCont,false)
        lvgl.obj_set_size(itemCont, 750,70)
        lvgl.obj_add_style(itemCont, lvgl.CONT_PART_MAIN, style.style_divBox1)

        --效果标签
        local label=lvgl.label_create(itemCont, nil)
        lvgl.obj_set_style_local_text_font(label, lvgl.LABEL_PART_MAIN, lvgl.STATE_DEFAULT, font24)
        lvgl.label_set_text(label, t.path..":")
        lvgl.obj_align(label,itemCont, lvgl.ALIGN_IN_LEFT_MID, 10, 0)

        --字号标签
        local modeLabelCont=lvgl.cont_create(itemCont, nil)
        lvgl.obj_set_click(modeLabelCont,false)
        lvgl.obj_set_size(modeLabelCont, 60,30)
        lvgl.obj_add_style(modeLabelCont, lvgl.CONT_PART_MAIN, style.style_labelBgBlue)
        lvgl.cont_set_layout(modeLabelCont,lvgl.LAYOUT_CENTER)
        lvgl.obj_align(modeLabelCont,label, lvgl.ALIGN_OUT_RIGHT_MID, 10, 0)

        local modeLabel=lvgl.label_create(modeLabelCont, nil)
        lvgl.label_set_recolor(modeLabel, true) 
        lvgl.obj_set_style_local_text_font(modeLabel, lvgl.LABEL_PART_MAIN, lvgl.STATE_DEFAULT, font24)
        lvgl.label_set_text(modeLabel, "#FFFFFF "..t.font)

        --灰度值标签
        local humiLabel=lvgl.label_create(itemCont, nil)
        lvgl.obj_set_style_local_text_font(humiLabel, lvgl.LABEL_PART_MAIN, lvgl.STATE_DEFAULT, font24)
        lvgl.label_set_text(humiLabel, t.gray)
        lvgl.obj_align(humiLabel,modeLabelCont, lvgl.ALIGN_OUT_RIGHT_MID, 38, 0)

        --粗细值标签
        local statusLabelCont=lvgl.cont_create(itemCont, nil)
        lvgl.obj_set_click(statusLabelCont,false)
        lvgl.obj_set_size(statusLabelCont, 76,30)
        lvgl.obj_add_style(statusLabelCont, lvgl.CONT_PART_MAIN, style.style_labelBgBlue)
        lvgl.obj_align(statusLabelCont,humiLabel, lvgl.ALIGN_OUT_RIGHT_MID, 64, 0)

        local secbg=lvgl.cont_create(statusLabelCont, nil)
        lvgl.obj_set_click(secbg,false)
        lvgl.obj_set_size(secbg, 40,25)
        lvgl.obj_add_style(secbg, lvgl.CONT_PART_MAIN, style.style_labelBgSnowWhite)
        lvgl.cont_set_layout(secbg,lvgl.LAYOUT_CENTER)
        lvgl.obj_align(secbg,statusLabelCont, lvgl.ALIGN_IN_LEFT_MID,16, 0)

        local secLabel=lvgl.label_create(secbg, nil)
        lvgl.obj_set_style_local_text_font(secLabel, lvgl.LABEL_PART_MAIN, lvgl.STATE_DEFAULT, font24)
        lvgl.label_set_text(secLabel, t.thickness)
        
        --效果
        local xiaoguoLabel=lvgl.label_create(itemCont, nil)
        
        print("t.font",t.font)
        local font
        if t.font == "28" then 
            font = font28
        elseif t.font == "38" then 
            font = font38
        elseif t.font == "48" then 
            font = font48
        elseif t.font == "68" then 
            font = font68
        else
            font = font48
        end
        print("t.font font",font)
        lvgl.obj_set_style_local_text_font(xiaoguoLabel, lvgl.LABEL_PART_MAIN, lvgl.STATE_DEFAULT, font)
        lvgl.label_set_text(xiaoguoLabel, "测试@TEST")
        lvgl.obj_align(xiaoguoLabel,modeLabelCont, lvgl.ALIGN_OUT_RIGHT_MID, 238, 0)
    end

    for _, v in ipairs(t) do
        makeItem(itemList,v)
        print("make",_)
    end

end

function initRunningBox(running_box)
    local runningTab=runningStatus.getRunningTable()
    paddingRunningBox(running_box,runningTab)
    _G.fragmentRunningStatusBox=true
end

function init(cont)
    lvgl.obj_clean(cont)
    initRunningBox(cont)
end