PROJECT = "font"
VERSION = "1.0.1"

require "log"
require "sys"
require "http"
require "misc"
require "pins"
require "mipi_lcd_GC9503"
require "tp"
require "style"
require "activity_status"

spi.setup(spi.SPI_1,1,1,8,50000000,1)
font18=lvgl.font_load(spi.SPI_1,18,4,100)
font24=lvgl.font_load(spi.SPI_1,24,4,110)
font28=lvgl.font_load(spi.SPI_1,28,4,120)
font32=lvgl.font_load(spi.SPI_1,32,4,150)
font36=lvgl.font_load(spi.SPI_1,36,4,156)
font38=lvgl.font_load(spi.SPI_1,38,4,160)
font48=lvgl.font_load(spi.SPI_1,48,4,170)
font58=lvgl.font_load(spi.SPI_1,58,2,180)
font68=lvgl.font_load(spi.SPI_1,68,2,190)

lvgl.init(function()
end, tp.input)
lvgl.disp_set_rotation(nil, lvgl.DISP_ROT_90)

_G.body=lvgl.cont_create(lvgl.scr_act(), nil)
lvgl.obj_set_click(body,false)
lvgl.obj_set_size(body, 854, 480) 
lvgl.obj_add_style(body, lvgl.CONT_PART_MAIN, style.style_body)

function makeHead(cont)
    headCont=lvgl.cont_create(cont, nil)
    lvgl.obj_set_click(headCont,false)
    lvgl.obj_set_size(headCont, 854, 60) 
    lvgl.obj_add_style(headCont, lvgl.CONT_PART_MAIN, style.style_divBox)

    local sysname=lvgl.label_create(headCont, nil)
    lvgl.obj_set_style_local_text_font(sysname, lvgl.LABEL_PART_MAIN, lvgl.STATE_DEFAULT, font36)
    lvgl.label_set_recolor(sysname, true)
    lvgl.label_set_text(sysname,"#FFFFFF 矢量字体测试效果")
    lvgl.obj_align(sysname, headCont, lvgl.ALIGN_IN_LEFT_MID, 35, 0)
end

function makeBox(cont)
    _G.BOX=lvgl.cont_create(cont, nil)
    lvgl.obj_set_click(BOX,false)
    lvgl.obj_set_size(BOX, 854,415) 
    lvgl.obj_add_style(BOX, lvgl.CONT_PART_MAIN, style.style_divBox)
    lvgl.obj_align(BOX, cont, lvgl.ALIGN_IN_BOTTOM_MID, 0, 0)
end

makeHead(_G.body)
makeBox(_G.body)

activity_status.init()

sys.init(0, 0)
sys.run()
